=pod

=head1 NAME

d2i_CMS_ContentInfo, i2d_CMS_ContentInfo - CMS ContentInfo functions

=head1 SYNOPSIS

 #include <openssl/cms.h>

 CMS_ContentInfo *d2i_CMS_ContentInfo(CMS_ContentInfo **a, unsigned char **pp, long length);
 int i2d_CMS_ContentInfo(CMS_ContentInfo *a, unsigned char **pp);

=head1 DESCRIPTION

These functions decode and encode an CMS ContentInfo structure.

Otherwise they behave in a similar way to d2i_X509() and i2d_X509()
described in the L<d2i_X509(3)|d2i_X509(3)> manual page.

=head1 SEE ALSO

L<d2i_X509(3)|d2i_X509(3)>

=head1 HISTORY

These functions were first added to OpenSSL 0.9.8

=cut
